るりまサーチ

最速Rubyリファレンスマニュアル検索!
8件ヒット [1-8件を表示] (0.136秒)
トップページ > モジュール:Kernel[x] > クエリ:Gem::Dependency[x] > ライブラリ:rubygems[x] > 種類:インスタンスメソッド[x]

別のキーワード

  1. rubygems gem
  2. rubygems/gem_openssl ssl_available?
  3. rubygems/gem_openssl ensure_ssl_available
  4. gem ruby_engine
  5. gem prefix

検索結果

Kernel#gem(gem_name, *version_requirements) -> bool (10.0)

$LOAD_PATH に Ruby Gem を追加します。

...った場合は
Gem::LoadError が発生します。

バージョンの指定方法に関しては Gem::Version を参照してください。

rubygems
ライブラリがライブラリバージョンの衝突を検出しない限り、
gem メソッドは全ての require メソッドよりも前...
...きます。

例:

GEM_SKIP=libA:libB ruby-I../libA -I../libB ./mycode.rb

@param gem Gem の名前の文字列か、Gem の依存関係を Gem::Dependency のインスタンスで指定します。

@param version_requirements 必要とする gem のバージョンを指定します。

@return...